>> If there's a work around do let us know :)
>
> rb_class_superclass() since 1.4.0.

Appears it has become public with 1.9.3?

-roger-

ref: https://github.com/rdp/ruby-prof/commit/badf53c87703ef0e34db938e4ba7788466151302